Get Conditional
GET /api/v1/workspaces/{workspace_id}/conditionals/{id}
GET
/api/v1/workspaces/{workspace_id}/conditionals/{id}
Retrieves a conditional.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspace_id
required
integer
Workspace ID
id
required
integer
Conditional ID
Responses
Section titled “ Responses ”Successful
object
id
required
integer
Example
12345 label
required
string
Example
Over age 30s default_syntax
required
object
closing
required
The closing syntax tag for the conditional block.
string
Example
{% endif %} branch_values
Key-value pairs where the key is the branch key and the value is the opening syntax for that branch.
object
key
additional properties
string
Example
{ "gold_membership": "{% if membership == 'gold' %}", "silver_membership": "{% elsif membership == 'silver' %}"} branches
required
Array<object>
object
key
required
string
Example
gold_membership label
required
string
Example
Gold Membership can_be_used_in_subject_and_preheader
required
boolean
created_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z updated_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z organization_id
required
integer
Example
12345 dynamic_content_profile_syntaxes
required
object
key
additional properties
object
closing
required
The closing syntax tag for the conditional block.
string
Example
{% endif %} branch_values
Key-value pairs where the key is the branch key and the value is the opening syntax for that branch.
object
key
additional properties
string
Example
{ "gold_membership": "{% if membership == 'gold' %}", "silver_membership": "{% elsif membership == 'silver' %}"}